# FoundationClasses
TKAdvTools
Dynamic

# Dynamic_StringParameter Class Reference

This inherited class from Parameter describes all
the parameters, which are characterized by a
string value.
.

`#include <Dynamic_StringParameter.hxx>`

Inheritance diagram for Dynamic_StringParameter:

[legend]

## Public Member Functions

Standard_EXPORT | Dynamic_StringParameter (const Standard_CString aparameter)
| Creates a StringParameter with <aparameter> as name. .
Standard_EXPORT | Dynamic_StringParameter (const Standard_CString aparameter, const Standard_CString astring)
| With the name of the Parameter <aparameter> and the string <astring>, creates an instance of StringParameter. .
Standard_EXPORT TCollection_AsciiString | Value () const
| Returns the value of the parameter which is an AsciiString. .
Standard_EXPORT void | Value (const Standard_CString avalue)
| Sets the string <avalue> in <me>. .
virtual Standard_EXPORT void | Dump (Standard_OStream &astream) const
| Useful for debugging. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | thestring

## Constructor & Destructor Documentation

Standard_EXPORT Dynamic_StringParameter::Dynamic_StringParameter | ( | const Standard_CString | aparameter | ) |

Standard_EXPORT Dynamic_StringParameter::Dynamic_StringParameter | ( | const Standard_CString | aparameter,
|  | const Standard_CString | astring
| ) |

## Member Function Documentation

virtual Standard_EXPORT void Dynamic_StringParameter::Dump | ( | Standard_OStream & | astream | ) | const`[virtual]`

| Reimplemented from Dynamic_Parameter.

Standard_EXPORT const Dynamic_StringParameter::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Dynamic_Parameter.

Standard_EXPORT void Dynamic_StringParameter::Value | ( | const Standard_CString | avalue | ) |

Standard_EXPORT TCollection_AsciiString Dynamic_StringParameter::Value | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString Dynamic_StringParameter::thestring `[private]`

The documentation for this class was generated from the following file:

- Dynamic_StringParameter.hxx